local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Capping", "Capping")
if not Addon then return end

-- constants
local TIMER_FREQ = 5
local TIMER_ID = "CappingShakedown"
local TESTICON = "Interface\\Icons\\Ability_ThunderBolt"
local BAR_DURATION = 10

function Addon:Start()
    
    -- show the anchor
    Capping:Show()
    
    -- show some bars
    self:StartBars()
    
    -- schedule repeating bar shows
    NShakedown:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.StartBars, self)
end

function Addon:Stop()

    -- kill the timers
    NShakedown:RemoveTimer(TIMER_ID)
    
    -- hide the anchor
    Capping:Hide()
    
    -- hide the bars
    self:StopBars()
end

function Addon:StartBars()

    -- get rid of existing bars
    self.StopBars()

    -- start some bars
    Capping:StartBar("Capping Test Info1", BAR_DURATION, TESTICON, "info1", nil, true)
    Capping:StartBar("Capping Test Info2", BAR_DURATION, TESTICON, "info2", nil, true)
    Capping:StartBar("Capping Test Alliance", BAR_DURATION, TESTICON, "alliance")
    Capping:StartBar("Capping Test Horde", BAR_DURATION, TESTICON, "horde")
    Capping:StartBar("Capping Test", BAR_DURATION, TESTICON, "info1")
    
end

function Addon:StopBars()
    
    -- stop those bars
    Capping:StopBar("Capping Test Info1")
    Capping:StopBar("Capping Test Info2")
    Capping:StopBar("Capping Test Alliance")
    Capping:StopBar("Capping Test Horde")
    Capping:StopBar("Capping Test")
    
end